{

Client dataset creator 1.0
Copyright (C) 2002 by Andrea Raimondi

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
or go to http://www.gnu.org/licenses/gpl.html

You can reach me via EMail at: rainaple@tin.it or mrpc@supereva.it
Or via normal mail at the following address:

Andrea Raimondi
Via Monte di Dio 66
80132 Napoli
ITALY

}

unit CDSSaveAsFileCode;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TCDSSaveAsFileFrm = class(TForm)
    FormatGroup: TRadioGroup;
    GroupBox1: TGroupBox;
    FileNameEdit: TEdit;
    SaveBtn: TButton;
    CancelBtn: TButton;
    procedure SaveBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CDSSaveAsFileFrm: TCDSSaveAsFileFrm;

implementation

uses MainCode, DBClient;

{$R *.dfm}

procedure TCDSSaveAsFileFrm.SaveBtnClick(Sender: TObject);
var Format : TDataPacketFormat;
begin
  case FormatGroup.ItemIndex of
    0 : Format := dfBinary;
    1 : Format := dfXML;
    2 : Format := dfXMLUTF8;
  end;
  MainFrm.SaveCursor;
  Screen.Cursor := crHourGlass;
  MainFrm.ClientDataSet1.SaveToFile( FileNameEdit.Text,Format );
  MainFrm.RestoreCursor;
  MainFrm.OperationStatus.SimpleText := 'Dataset saved as '+FileNameEdit.Text;
  Close;
end;

procedure TCDSSaveAsFileFrm.CancelBtnClick(Sender: TObject);
begin
  Close;
end;

end.
