unit CDSStringList;

interface

uses Classes;

Type
  TCommentedStringList = class( TStringList )
  private
    FCommentString: String;
    procedure SetCommentString(const Value: String);
  public
    function Add( const S : String ) : Integer;override;
    property CommentString : String read FCommentString write SetCommentString;
  end;

implementation

{ TCommentedStringList }

function TCommentedStringList.Add(const S: String): Integer;
begin
  Result := -1;
  if( Pos( CommentString,S ) = 1 ) then
  else
    Result := Inherited Add( S );
end;

procedure TCommentedStringList.SetCommentString(const Value: String);
begin
  FCommentString := Value;
end;

end.
 